Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.validation.bic
Class BICManager

    java.lang.Object
      com.stc.swift.validation.bic.BICManager

All Implemented Interfaces:
  CTRecHandlerCallback, CURecHandlerCallback, FIRecHandlerCallback

    public class BICManager

extends java.lang.Object
implements CURecHandlerCallback, FIRecHandlerCallback, CTRecHandlerCallback

Constructor Summary
`BICManager()`
`BICManager(java.lang.String fiFileName, java.lang.String cuFileName, java.lang.String ctFileName, java.lang.String directoryPath)`

Method Summary
`void` | `clean()` clear all HashMaps
`java.lang.String[]` | `getBIC(java.lang.String institutionName)`
`java.lang.String[]` | `getBIC(java.lang.String institutionName, java.lang.String city, java.lang.String country)`
`java.util.HashMap` | `getBICMap()`
`java.lang.String[]` | `getCountryCode(java.lang.String currencyCode)`
`java.util.HashMap` | `getCountryMap()`
`java.lang.String` | `getCurrencyCode(java.lang.String countryCode)`
`java.util.HashMap` | `getCurrencyMap()`
`java.util.HashMap` | `getICCMap()`
`java.util.HashMap` | `getInstitutionMap()`
`java.lang.String[]` | `getInstitutionName(java.lang.String bic)`
`java.util.HashMap` | `getNewCountryMap()`
`boolean` | `handleCTRec(CTRecord ctRec, boolean initCodes)` process CT record
`boolean` | `handleCURec(CURecord cuRec, boolean initCodes)` process CU record
`boolean` | `handleFIRec(FIRecord fiRec, boolean initCodes)` process FI record
`void` | `initExtraMaps()` Initialize institutionMap and iccMap on demand
`boolean` | `validateBIC(java.lang.String BIC)` Validate BIC code
`boolean` | `validateCountryCode(java.lang.String countryCode)`
`boolean` | `validateCurrencyCode(java.lang.String currencyCode)` Validate currency code

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BICManager

    public BICManager()

### BICManager

    public BICManager(java.lang.String fiFileName,
                      java.lang.String cuFileName,
                      java.lang.String ctFileName,
                      java.lang.String directoryPath)

Method Detail

### getCurrencyMap

    public java.util.HashMap getCurrencyMap()

### getBICMap

    public java.util.HashMap getBICMap()

### getCountryMap

    public java.util.HashMap getCountryMap()

### getNewCountryMap

    public java.util.HashMap getNewCountryMap()

### getInstitutionMap

    public java.util.HashMap getInstitutionMap()

### getICCMap

    public java.util.HashMap getICCMap()

### clean

    public void clean()

  clear all HashMaps

### initExtraMaps

    public void initExtraMaps()

  Initialize institutionMap and iccMap on demand

### handleCURec

    public boolean handleCURec(CURecord cuRec,
                               boolean initCodes)

  process CU record

  Specified by:
    `handleCURec` in interface `CURecHandlerCallback`

### handleCTRec

    public boolean handleCTRec(CTRecord ctRec,
                               boolean initCodes)

  process CT record

  Specified by:
    `handleCTRec` in interface `CTRecHandlerCallback`

### handleFIRec

    public boolean handleFIRec(FIRecord fiRec,
                               boolean initCodes)

  process FI record

  Specified by:
    `handleFIRec` in interface `FIRecHandlerCallback`

### validateBIC

    public boolean validateBIC(java.lang.String BIC)

  Validate BIC code

### validateCurrencyCode

    public boolean validateCurrencyCode(java.lang.String currencyCode)

  Validate currency code

### validateCountryCode

    public boolean validateCountryCode(java.lang.String countryCode)

### getCurrencyCode

    public java.lang.String getCurrencyCode(java.lang.String countryCode)

### getCountryCode

    public java.lang.String[] getCountryCode(java.lang.String currencyCode)

### getBIC

    public java.lang.String[] getBIC(java.lang.String institutionName)

### getBIC

    public java.lang.String[] getBIC(java.lang.String institutionName,
                                     java.lang.String city,
                                     java.lang.String country)

### getInstitutionName

    public java.lang.String[] getInstitutionName(java.lang.String bic)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.